\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - CGAL and the Qt Graphics View Framework

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members
CGAL::Qt::CircularArcGraphicsItem< CK > Class Template Reference
Graphics Item Classes

`#include <CGAL/Qt/CircularArcGraphicsItem.h>`

## Inherits from

CGAL::Qt::GraphicsItem.

## Definition

An object of type `CircularArcGraphicsItem` is a graphics item that encapsulates a circular arc.

Template Parameters

  CK | must be a CGAL `CircularKernel`.

## Creation
| CircularArcGraphicsItem ()
| Constructs a graphics item for a circular arc.

## Operations
QPen | edgesPen ()() const
| Returns the pen used to draw edges.
void | setEdgesPen ()(const QPen &p)
| Sets the pen used to draw edges.
void | setArc (const Circular_arc_2< CK > &ca2)
| Sets the circular arc.

## Additional Inherited Members
Public Member Functions inherited from CGAL::Qt::GraphicsItem
virtual void | modelChanged ()
| This slot must be provided by derived classes.